const app = getApp()
const util = require('../../../utils/util.js'); 
const api = require('../../../api/api.js'); 

Page({

  /**
   * 页面的初始数据
   */
  data: { 
    today:'',
    userInfo: {
    nickName: '点击登录',
    avatarUrl: '/static/images/my.png'
  }, 
  hasLogin:false,
    list:[],
    page: 1,
    limit: 10,
    totalPages: 1, 
  },
  getList(){
    let that=this;
    wx.showLoading();
    util.request(api.PreList,{
      page:this.data.page,
      limit:this.data.limit
    }).then(res=>{
      wx.hideLoading();
      console.info(res.data)
      that.setData({
        list: that.data.list.concat(res.data.list),
        totalPages: res.data.pages
      });
    })

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let userInfo = wx.getStorageSync('userInfo');
    if(userInfo){ 
    this.setData({
      userInfo: userInfo,
      hasLogin: true
    }); 
    }
    this.setData({
      list:[],
      today:util.formatDate(new Date()),
    })
    this.getList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.totalPages > this.data.page) {
      this.setData({
        page: this.data.page + 1
      });
      this.getList();
    } else {
      wx.showToast({
        title: '没有更多预检单了',
        icon: 'none',
        duration: 2000
      });
      return false;
    }
  },
  editPre(e){
    let bookNo=e.currentTarget.dataset.bookno;
   
        wx.navigateTo({
             url: '/pages/pre/previewing/index?bookNo='+bookNo,
            });

  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})